forked from kubernetes/kubernetes
-
Notifications
You must be signed in to change notification settings - Fork 0
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
Add hack/update-godep-licenses.sh to generate Godeps/LICENSES.md
- Add Godeps/LICENSES.md - Add verify-godep-licenses to verify that Godeps/LICENSES.md is up to date - Trigger verify-godep-licenses in the pre-commit hook only if the Godeps dir has changed - Exclude verify-godep-licenses in verify-all - Add verify-godep-licenses to make verify (used by travis) - Add verify-godep-licenses to shippable - Update dev docs to mention update-godep-licenses
- Loading branch information
Karl Isenberg
committed
Jan 14, 2016
1 parent
5007d7c
commit 6125f53
Showing
8 changed files
with
214 additions
and
2 deletions.
There are no files selected for viewing
Some generated files are not rendered by default. Learn more about how customized files appear on GitHub.
Oops, something went wrong.
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,44 @@ | ||
#!/bin/bash | ||
|
||
# Copyright 2015 The Kubernetes Authors All rights reserved. | ||
# | ||
# Licensed under the Apache License, Version 2.0 (the "License"); | ||
# you may not use this file except in compliance with the License. | ||
# You may obtain a copy of the License at | ||
# | ||
# http://www.apache.org/licenses/LICENSE-2.0 | ||
# | ||
# Unless required by applicable law or agreed to in writing, software | ||
# distributed under the License is distributed on an "AS IS" BASIS, | ||
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. | ||
# See the License for the specific language governing permissions and | ||
# limitations under the License. | ||
|
||
# Update the Godeps/LICENSES.md document. | ||
# Generates a table of Godep dependencies and their license. | ||
# Requires: | ||
# docker | ||
# mesosphere/godep-licenses (docker image) - source: https://github.com/mesosphere/godep-licenses | ||
# Usage: | ||
# Run every time a license file is added/modified within /Godeps to update /Godeps/LICENSES.md. | ||
# Add exceptions (-e <repo>:<license>) for any dependency (project) vendored by Godep | ||
# that has a known license that isn't vendored by Godep or can't be found by godep-licenses. | ||
|
||
set -o errexit | ||
set -o nounset | ||
set -o pipefail | ||
|
||
KUBE_ROOT="${KUBE_ROOT:-$(cd "$(dirname "${BASH_SOURCE}")/.." && pwd -P)}" | ||
|
||
cd "${KUBE_ROOT}" | ||
|
||
exec docker run --rm -i -v "${KUBE_ROOT}:/repo" mesosphere/godep-licenses:latest -p /repo \ | ||
-e github.com/abbot/go-http-auth:Apache-2 \ | ||
-e github.com/beorn7/perks/quantile:MIT? \ | ||
-e github.com/daviddengcn/go-colortext:BSD? \ | ||
-e github.com/docker/docker/pkg/symlink:spdxBSD3 \ | ||
-e github.com/shurcooL/sanitized_anchor_name:MIT? \ | ||
-e github.com/spf13/cobra:Apache-2 \ | ||
-e github.com/stretchr/objx:MIT? \ | ||
-e github.com/stretchr/testify:MIT? \ | ||
-o md > Godeps/LICENSES.md |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,49 @@ | ||
#!/bin/bash | ||
|
||
# Copyright 2015 The Kubernetes Authors All rights reserved. | ||
# | ||
# Licensed under the Apache License, Version 2.0 (the "License"); | ||
# you may not use this file except in compliance with the License. | ||
# You may obtain a copy of the License at | ||
# | ||
# http://www.apache.org/licenses/LICENSE-2.0 | ||
# | ||
# Unless required by applicable law or agreed to in writing, software | ||
# distributed under the License is distributed on an "AS IS" BASIS, | ||
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. | ||
# See the License for the specific language governing permissions and | ||
# limitations under the License. | ||
|
||
set -o errexit | ||
set -o nounset | ||
set -o pipefail | ||
|
||
KUBE_ROOT="$(cd "$(dirname "${BASH_SOURCE}")/.." && pwd -P)" | ||
|
||
branch="${1:-master}" | ||
# notice this uses ... to find the first shared ancestor | ||
if ! git diff origin/"${branch}"...HEAD | grep 'Godeps/' > /dev/null; then | ||
exit 0 | ||
fi | ||
|
||
# create a nice clean place to put our new godeps | ||
# must be in the user dir (e.g. KUBE_ROOT) in order for the docker volume mount to work with docker-machine on macs | ||
_tmpdir="$(mktemp -d "${KUBE_ROOT}/kube-godep-licenses.XXXXXX")" | ||
echo "Created workspace: ${_tmpdir}" | ||
function cleanup { | ||
echo "Removing workspace: ${_tmpdir}" | ||
rm -rf "${_tmpdir}" | ||
} | ||
trap cleanup EXIT | ||
|
||
cp -r "${KUBE_ROOT}/Godeps" "${_tmpdir}/Godeps" | ||
|
||
# Update Godep Licenses | ||
KUBE_ROOT="${_tmpdir}" "${KUBE_ROOT}/hack/update-godep-licenses.sh" | ||
|
||
# Compare Godep Licenses | ||
if ! _out="$(diff -Naupr ${KUBE_ROOT}/Godeps/LICENSES.md ${_tmpdir}/Godeps/LICENSES.md)"; then | ||
echo "Your godep licenses file is out of date. Run hack/update-godep-licenses.sh and commit the results." | ||
echo "${_out}" | ||
exit 1 | ||
fi |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters